### Method

# Atspi Accessible get_attributes

#### Declaration [src]

    GHashTable*
    atspi_accessible_get_attributes (
      AtspiAccessible* obj
      GError** error
    )

#### Description [src]

Gets the `AttributeSet` representing any assigned name-value pair attributes or annotations for this object. For typographic, textual, or textually-semantic attributes, see atspi_text_get_attributes instead.

#### Return value

Type: `GHashTable`

The name-value-pair attributes assigned to this object.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.